org.gradle.platform.base

## Interface ToolChainRegistry<P extends Platform,T extends ToolChain>

- Type Parameters:
    `P` -
    `T` -
  All Known Subinterfaces:
    JavaToolChainRegistry, NativeToolChainRegistry

      public interface ToolChainRegistry<P extends Platform,T extends ToolChain>

  A Provider of `ToolChain`s.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `getForPlatform(P targetPlatform)` Returns the best tool chain to build for the target platform.

- - ### Method Detail

    - #### getForPlatform

          T getForPlatform(P targetPlatform)

      Returns the best tool chain to build for the target platform.